DataGroupHash (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.icao

## Class DataGroupHash

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.icao.DataGroupHash

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DataGroupHash
      extends ASN1Object

  The DataGroupHash object.

       DataGroupHash  ::=  SEQUENCE {
            dataGroupNumber         DataGroupNumber,
            dataGroupHashValue     OCTET STRING }

       DataGroupNumber ::= INTEGER {
               dataGroup1    (1),
               dataGroup1    (2),
               dataGroup1    (3),
               dataGroup1    (4),
               dataGroup1    (5),
               dataGroup1    (6),
               dataGroup1    (7),
               dataGroup1    (8),
               dataGroup1    (9),
               dataGroup1    (10),
               dataGroup1    (11),
               dataGroup1    (12),
               dataGroup1    (13),
               dataGroup1    (14),
               dataGroup1    (15),
               dataGroup1    (16) }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataGroupHash(int dataGroupNumber, ASN1OctetString dataGroupHashValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1OctetString` | `getDataGroupHashValue()`
    `int` | `getDataGroupNumber()`
    `static DataGroupHash` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataGroupHash

          public DataGroupHash(int dataGroupNumber,
                               ASN1OctetString dataGroupHashValue)

  - ### Method Detail

    - #### getInstance

          public static DataGroupHash getInstance(java.lang.Object obj)

    - #### getDataGroupNumber

          public int getDataGroupNumber()

    - #### getDataGroupHashValue

          public ASN1OctetString getDataGroupHashValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.